import React, { useState } from 'react';
import { Wrapper } from './player.styles.js';
import cameraIcon from './../../../../assets/camera.svg';
import player from '../../../toolkit/player'; // const image = await player.getSnapshot()

const Player = () => {
  const [image, setImage] = useState('');

  const getSnapshotClick = async () => {
    await player.getSnapshot().then(async result => {
      setImage(result);
    });
    ;
  };

  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Wrapper, {
    id: "player-root"
  }), /*#__PURE__*/React.createElement("a", {
    className: "camera-icon",
    onClick: getSnapshotClick,
    href: image,
    download: true
  }, /*#__PURE__*/React.createElement("img", {
    src: cameraIcon
  })));
};

export default Player;